"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

WCCommand subclass:#WCPathCommand
	instanceVariableNames:'paths'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Private-Commands'
!


!WCPathCommand methodsFor:'accessing'!

paths
    ^ paths

    "Created: / 19-03-2008 / 15:48:46 / janfrog"
!

paths:aCollection
    paths := aCollection.

    "Created: / 19-03-2008 / 15:48:46 / janfrog"
! !

!WCPathCommand methodsFor:'executing - private'!

svnCmdArgumentsOn:arg 
    "raise an error: must be redefined in concrete subclass(es)"

    super svnCmdArgumentsOn:arg.
    arg 
        nextPutAll:paths asArray

    "Created: / 16-03-2008 / 10:19:52 / janfrog"
    "Modified: / 19-03-2008 / 15:53:50 / janfrog"
! !

!WCPathCommand methodsFor:'initialization'!

initialize

    super initialize.
    paths := OrderedCollection new

    "Created: / 16-03-2008 / 10:21:04 / janfrog"
! !

!WCPathCommand class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__WCPathCommand.st 70 2009-04-16 12:47:44Z vranyj1 '
! !
